1 Reply Latest reply on Jun 16, 2017 12:23 PM by dhaycurrie

    FastPath webchat Java support

    dhaycurrie

      So, I recently moved my OpenFire server from a Ubuntu 14.04 to a newly built 16.04, with newest version of Java (openjdk 1.8), Tomcat 8. Basically direct apt install.

      Everything works fine exept for the webchat component of fastpath.

      I even tried to install Tomcat6 but it would still not work. My old server has Oracle Java 6 running, and webchat is working there.

      Getting a note out of the way first. I am still confused about Java in Linux, so I can't fully say exactly what version what is using. My old server has 3 java versions, but I think Tomcat was referring to Oracle Java 6, while OF uses openjdk 1.7

      I know that FastPath is not developed anymore but we have included it in our home page succesfully for years (and my users are soooo slow at changing) and included reporting from it in our internal portal (intranet), so if possible we would like to keep using it a few more years.

      I was not able to install openjdk 1.7 to test it in the new server (I only tried from apt). I was wondering if there are suggestions about what else I can do?